com.google.zxing.oned

## Class EAN13Writer

- java.lang.Object
- - com.google.zxing.oned.OneDimensionalCodeWriter
  - - com.google.zxing.oned.UPCEANWriter
    - - com.google.zxing.oned.EAN13Writer

- All Implemented Interfaces:
    Writer

      public final class EAN13Writer
      extends UPCEANWriter

  This object renders an EAN13 code as a `BitMatrix`.
  Author:
    aripollak@gmail.com (Ari Pollak)

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `EAN13Writer()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean[]` | `encode(String contents)` Encode the contents to boolean array expression of one-dimensional barcode.
    `BitMatrix` | `encode(String contents, BarcodeFormat format, int width, int height, Map<EncodeHintType,?> hints)` Encode the contents following specified format.

    - ### Methods inherited from class com.google.zxing.oned.UPCEANWriter

      `getDefaultMargin`

    - ### Methods inherited from class com.google.zxing.oned.OneDimensionalCodeWriter

      `appendPattern, encode`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### EAN13Writer

          public EAN13Writer()

  - ### Method Detail

    - #### encode

          public BitMatrix encode(String contents,
                                  BarcodeFormat format,
                                  int width,
                                  int height,
                                  Map<EncodeHintType,?> hints)
                           throws WriterException

      Description copied from class: `OneDimensionalCodeWriter`
      Encode the contents following specified format. `width` and `height` are required size. This method may return bigger size `BitMatrix` when specified size is too small. The user can set both `width` and `height` to zero to get minimum size barcode. If negative value is set to `width` or `height`, `IllegalArgumentException` is thrown.
      Specified by:
        `encode` in interface `Writer`
      Overrides:
        `encode` in class `OneDimensionalCodeWriter`
      Parameters:
        `contents` - The contents to encode in the barcode
        `format` - The barcode format to generate
        `width` - The preferred width in pixels
        `height` - The preferred height in pixels
        `hints` - Additional parameters to supply to the encoder
      Returns:
        `BitMatrix` representing encoded barcode image
      Throws:
        `WriterException` - if contents cannot be encoded legally in a format

    - #### encode

          public boolean[] encode(String contents)

      Description copied from class: `OneDimensionalCodeWriter`
      Encode the contents to boolean array expression of one-dimensional barcode. Start code and end code should be included in result, and side margins should not be included.
      Specified by:
        `encode` in class `OneDimensionalCodeWriter`
      Parameters:
        `contents` - barcode contents to encode
      Returns:
        a `boolean[]` of horizontal pixels (false = white, true = black)

Copyright © 2007–2018. All rights reserved.